## debian-reference 1.11

=== Makefile ===
#
# New Makefile Template (Osamu Aoki)
#
#  Build html(multi-page), txt, ps, pdf, and other formats.
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Woody system                     #
#   "ps" and "pdf" tends to break in some ill-configured systems      #
# ------------------------------------------------------------------- #
# Read local texmf.cnf file

export TEXMFCNF=texmf:

# do not use default suffix rules such as .tex.dvi: (uses tex, not latex!)
.SUFFIXES:

# Following default shall be edited by the coordinator for the entire
# set of languages.  If a subsection owner wishes to override settings,
# they can be overridden by running make with "make 'LANGS1=fi'" etc.. 

# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-dependent SGML (DDP default, generated)
#MANUAL := $(notdir $(CURDIR))
MANUAL1 := reference
MANUAL2 := quick-reference

# Build option
BUILD_OPT := 

# Basename for language-independent SGML-template and tar-ball name.
MANUAL0 := qref

# Build type: Possible values are BUILD_TYPE = web|package|sf
BUILD_TYPE  := web

# Publish directory
# This can and will be overridden by a higher level makefile
ifeq ("$(BUILD_TYPE)", "sf")
PUBLISHDIR := ~/public_html
else
PUBLISHDIR := /org/www.debian.org/www/doc/manuals
endif

# This can and will be overridden by a higher level makefile
ifeq ("$(SFUSER)", "")
SFUSER := $$USER
endif

ifeq ("$(LANGS)", "")
LANGS := $$LANGS
endif
ifeq ("$(BUILD_TYPE)", "sf")
# Locales for "distclean" target for the sf:
LANGSALL := en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the sf full documents:
LANGS1 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the sf short documents:
LANGS2 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
else
# Locales for "distclean" target for the DDP:
LANGSALL := en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the DDP full documents:
LANGS1 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the DDP short documents:
LANGS2 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
endif

# Files which affect SGML generation (excluding *.sgml)
SGMLENTS := default.ent

# All SGML source files
SGMLSRCS := $(foreach lang, $(LANGS1), $(MANUAL1).$(lang).sgml) \
	    $(foreach lang, $(LANGS2), $(MANUAL2).$(lang).sgml) \
	    $(foreach lang, $(LANGS1), $(wildcard $(lang)/*.sgml ) ) \
	    $(SGMLENTS)

# Name for example directory
EXAMPLE := examples

# List of examples to be copied
EXAMPLES := $(wildcard $(EXAMPLE)/*)

TARSRCS = $(EXAMPLES) bin/* texmf/* $(SGMLSRCS) Makefile README 
# =================================================================== #
#                 Build target default part: Routine                  #
# =================================================================== #
all: html txt ps pdf README

### Full guide

# List of html stamp files to be built
HTMLS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).html.stamp)

# List of txt to be built
TXTS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).txt)

# List of dvi to be built
DVIS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).dvi)

# List of ps to be built
PSS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).ps)

# List of pdf to be built
PDFS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).pdf)

### QUICK guide

# List of html stamp files to be built
HTMLS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).html.stamp)

# List of txt to be built
TXTS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).txt)

# List of dvi to be built
DVIS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).dvi)

# List of ps to be built
PSS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).ps)

# List of pdf to be built
PDFS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).pdf)

# =================================================================== #
#                 Build target part: Customize                        #
# =================================================================== #
# If some languages have problems building, filter-out in here.

html1: $(HTMLS1)
html2: $(HTMLS2)
html: html1 html2
text1 txt1:  $(TXTS1)
text2 txt2:  $(TXTS2)
text txt:  text1 text2
dvi1:   $(DVIS1)
dvi2:   $(DVIS2)
dvi:   dvi1 dvi2
ps1:   $(PSS1)
ps2:   $(PSS2)
ps:   ps1 ps2
pdf1:  $(PDFS1)
pdf2:  $(PDFS2)
pdf:  pdf1 pdf2
tar:  $(MANUAL1).tar.gz
publish: publish-html publish-txt publish-examples publish-ps publish-pdf
publish-all: publish publish-tar

# =================================================================== #
#                 Build rule part: If not package build               #
# =================================================================== #

## FULL
$(MANUAL1).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"$$(bin/getdocdate $*)\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@
	echo "<!ENTITY % f-ref   \"INCLUDE\">" >> $@ 
	echo "<!ENTITY % q-ref   \"IGNORE\">" >> $@ 

## QUICK
$(MANUAL2).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"$$(bin/getdocdate $*)\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@
	# if "Debian Quick Reference" (about 20 pages max)
	echo "<!ENTITY % f-ref   \"IGNORE\">" >> $@ 
	echo "<!ENTITY % q-ref   \"INCLUDE\">" >> $@

# Version list
README: README.org
	-bin/doc-check -ha  >README.html
	-w3m -dump -cols 78 README.html >README.txt
	sed -e "/^  ----------------------------------------------------------------------------/r README.txt"  \
	   <README.org >README
	-rm README.html README.txt

# =================================================================== #
#                 Build rule part: Routine                            #
# =================================================================== #

# SGML

# Create starting SGML for each language from the template.  Actual
# contents reside in language-segregated subdirectories.

$(MANUAL1).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL1)/g" \
	        $< > $(MANUAL1).$*.sgml

$(MANUAL2).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL2)/g" \
	        $< > $(MANUAL2).$*.sgml

# If SGML for original language "en" does not use mid-extension
#%.en.sgml: %.sgml
#	ln -sf $*.sgml $*.en.sgml

# HTML

$(MANUAL1).%.html.stamp: $(MANUAL1).%.sgml  $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.html.ent fix.ent
	debiandoc2html $(BUILD_OPT) -l $$(echo $* | bin/getlocale) -c $<
	bin/fixhtml $* $(MANUAL1).$*.html
# since $(MANUAL1).%.html/index.%.html cannot be a target file
	touch $(MANUAL1).$*.html.stamp

$(MANUAL2).%.html.stamp: $(MANUAL2).%.sgml  $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.html.ent fix.ent
	debiandoc2html $(BUILD_OPT) -l $$(echo $* | bin/getlocale) -c $<
	bin/fixhtml $* $(MANUAL2).$*.html
# since $(MANUAL2).%.html/index.%.html cannot be a target file
	touch $(MANUAL2).$*.html.stamp

# TXT

$(MANUAL1).%.txt: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.txt.ent fix.ent
	debiandoc2text $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
	bin/fixtxt $* $(MANUAL1).$*.txt

$(MANUAL2).%.txt: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.txt.ent fix.ent
	debiandoc2text $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
	bin/fixtxt $* $(MANUAL2).$*.txt

# DVI

$(MANUAL1).%.dvi: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexdvi $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

$(MANUAL2).%.dvi: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexdvi $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

# PS

$(MANUAL1).%.ps: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexps $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

$(MANUAL2).%.ps: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexps $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

# PDF

$(MANUAL1).%.pdf: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS) \
                  %/hyperref-full.cfg
	ln -sf fix.latex.ent fix.ent
	ln -sf $*/hyperref-full.cfg hyperref.cfg
	debiandoc2latexpdf $(BUILD_OPT) -s bin/fixlatex -l $$(echo $* | bin/getlocale) $<

$(MANUAL2).%.pdf: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS) \
                  %/hyperref-quick.cfg
	ln -sf fix.latex.ent fix.ent
	ln -sf $*/hyperref-quick.cfg hyperref.cfg
	debiandoc2latexpdf $(BUILD_OPT) -s bin/fixlatex -l $$(echo $* | bin/getlocale) $<

# XML
$(MANUAL1).%.xml: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.txt.ent fix.ent
	debiandoc2xml $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
#	bin/fixtxt $* $(MANUAL1).$*.txt

# TAR

$(MANUAL0).tar.gz: $(TARSRCS)
	@tar cvzf $(MANUAL0).tar.gz $(TARSRCS)

# =================================================================== #
#                 Build rule part: Web publish                        #
# =================================================================== #

publish-html: publish-html1 publish-html2
publish-html1: html1
# Ugly but until updating all the web pages, needs these symlinks
ifeq ("$(BUILD_TYPE)", "web")
	cd $(PUBLISHDIR) ; rm -Rf reference
	cd $(PUBLISHDIR) ; rm -Rf debian-reference
endif
	test -d $(PUBLISHDIR)/$(MANUAL1) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL1)
	rm -f $(PUBLISHDIR)/$(MANUAL1)/*.html
	rm -f $(PUBLISHDIR)/$(MANUAL1)/README
	# install all html
	@$(foreach lang,$(LANGS1),\
	 install -p -m 644 $(MANUAL1).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL1)/ ;\
	)
# Ugly but until updating all the web pages, needs these symlinks
ifeq ("$(BUILD_TYPE)", "web")
	cd $(PUBLISHDIR) ; ln -sf $(MANUAL1) debian-reference
endif

publish-html2: html2
# Ugly but until updating all the web pages, needs these symlinks
ifeq ("$(BUILD_TYPE)", "web")
	cd $(PUBLISHDIR) ; rm -Rf quick-reference
endif
	test -d $(PUBLISHDIR)/$(MANUAL2) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL2)
	rm -f $(PUBLISHDIR)/$(MANUAL2)/*.html
	rm -f $(PUBLISHDIR)/$(MANUAL2)/README
	# install all html
	@$(foreach lang,$(LANGS2),\
	 install -p -m 644 $(MANUAL2).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL2)/ ;\
	)

publish-examples: $(EXAMPLES)
	test -d $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)
	@install -p -m 644  --preserve-timestamps \
	 `find $(EXAMPLE) -type f -maxdepth 1` $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/
# these were for linda but lintian complains. so disabled
#	chmod 700 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/go-woody
#	chmod 700 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/fetchmail
#	chmod 775 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/backup

# No more example for short document
#	test -d $(PUBLISHDIR)/$(MANUAL2) \
#	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL2)
#	cd $(PUBLISHDIR)/$(MANUAL2) ; rm -f $(EXAMPLE) ; ln -sf ../$(MANUAL1)/$(EXAMPLE) $(EXAMPLE)


publish-txt:  publish-txt1 publish-txt2

publish-txt1:  txt1
	# install all txt1
	test -d $(PUBLISHDIR)/$(MANUAL1) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL1)
	rm -f $(PUBLISHDIR)/$(MANUAL1)/*.txt
	# install all txt1

=== debian/changelog ===
debian-reference (1.11) unstable; urgency=high

  * Merge DDP Makefile functionality from DDP to the packaged one 
    while adjusting html page generation code and URL references,
    Also now we use sensible-browser. Closes: 384832
  * Updated initial install example packages (all). Closes: 406746
  * Provided desktop file for GNOME/KDE/... menu entry. Closes: 407042
  * Removed m17n-env from translations (all applicable ones).
  * Updated README.Debian and README.
  * Updated translations and marked some chapters as old in the main 
    text whenever possible.

 -- Osamu Aoki <osamu@debian.org>  Sun, 14 Jan 2007 19:36:37 +0900

debian-reference (1.10) unstable; urgency=medium

  * Updated reference pointers per David Van Mosselbeen.
    Closes: 350523, 350530, 350534, 350537
  * Updated example of the additional packages. Closes: 355655
  * Updated kernel.sgml(en) and removed old 2.4 contents for etch 
    following the advise from Frans Pop. Closes: 355668 
  * Dropped slocate. Closes: 359790
  * Recommended interface naming issues by udev (en).  Closes: 364500
  * Added C reference URLs. Closes: 391623
  * Fixed frozen reference. Closes: 394479
  * Added debconf-{get|set}-selections. Closes: 391624
  * Typo fix (fr). Closes: 355653
  * Updated translations from translators.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2007 05:17:46 +0900

debian-reference (1.09-4) unstable; urgency=medium

  * Set the build-dependency on tetex-bin to (>= 3.0-24).
    This fixes a serious pdfTeX issue that only allowed a limited
    set of VF fonts, hence the medium urgency. [danai]  Closes: #397571
  * Updated font dependency per Frank Küster and Danai SAE-HAN
    for Chinese and Japanese following latex-cjk-* packages'
    recommends fields.
    Remove the build-dependency on the hbf-* packages as well. [danai]
  * Clean *.tex-in too.

 -- Osamu Aoki <osamu@debian.org>  Wed,  8 Nov 2006 23:43:59 +0900

debian-reference (1.09-3) unstable; urgency=low

  * Fixed TOC bullets in HTML by rebuilding with debiandoc-sgml (1.1.95)
  * Updated zh_CN translation.

 -- Osamu Aoki <osamu@debian.org>  Sun, 12 Mar 2006 22:42:43 +0900

debian-reference (1.09-2) unstable; urgency=low

  * Updated to reflect new aptitude behavior.  Closes: #343982
  * Updated zh_TW translation.
  * Removed RUTE book web link for all languages. Closes: #346451
  * Updated to prepare for removal of debmake.

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Jan 2006 17:29:59 +0900

debian-reference (1.09-1) unstable; urgency=high

  * Fixed most of #328708 per Ralph Katz addressed.
  * Added MAKEDEV call in chroot instructions per Joachim Reichel.
    Closes: #320247
  * Updated localhost line in /etc/hosts.
  * Translation updates: JA, ZH-CN
  * Refined multi line style shell example explanation per
    Stephen Carpenter, KSC.
  * Retire David Sewell from Editor per his request.
  * Reverted (La)TeX workarounds in Makefile introduced in 1.07-11;
    Makefile no longer creates LaTeX format files to support more
    language hyphenation patterns since all languages are already
    activated by default in tetex.  It was one of the cause of FTBFS.
  * Build with debiandoc-sgml (1.1.93) which fixes FTBFS for zh-cn.ps.
    This was caused by the TeTeX version difference.
    Closes: #337259
  * Cleaned old bin/fixlatex script which code was integrated into
    debiandoc-sgml package. Since www-master (compiles DDP documents) runs
    now Sarge there is no need to keep this old code. This script is still
    used but only for minor (not build related) issues. It's now called
    via -s option of debiandoc-sgml tools so this versioned dependency was
    adjusted. [jens]
  * Removed wrapper scripts bin/debiandoc2latexdvi, bin/debiandoc2latexpdf
    and bin/debiandoc2latexps. [jens]
    The last change required me to make a new upstream release.

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2005 17:11:15 +0900

debian-reference (1.08-4) unstable; urgency=low

  * Fixed an error in a dd command example for all languages. Thanks
    Faris Xiao. Closes: #322519
  * Fixed an error in a exim4 configuration for all languages. Thanks
    Faris Xiao. Closes: #325777
  * Chenged to use /usr/local/sbin/get-mac-address.sh per Faris Xiao
    and Thomas Hood for all languages. Closes: #322678
  * Updated rm -rf .* reference in the English tips.sgml to match with
    the current Debian rm command. Thanks Faris Xiao. Closes: #322676
  * Updated .bashrc and .bash.profile examples. Closes: #317397

 -- Osamu Aoki <osamu@debian.org>  Sat, 24 Sep 2005 11:57:57 +0900

debian-reference (1.08-3) unstable; urgency=low

  * Kernel config for deactivating PCMCIA updated.  Thanks Robert
    Cymbala.
  * Backup script example updated with more comments. 
    Thanks Sam George. Closes: #306936
  * Translation updates: JA, FR

 -- Osamu Aoki <osamu@debian.org>  Sun,  1 May 2005 09:45:18 +0200

debian-reference (1.08-2) unstable; urgency=low

  * Translation updates: JA, DE, FR, ZH-TW, ES
  * Update build script for debiandoc-sgml 1.1.85

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 Mar 2005 23:06:58 +0100

debian-reference (1.08-1) unstable; urgency=low

  * Fix debian/rule to avoid duplicate building. (Osamu/Jens)
  * Explain mcedit advantage. (Osamu)
  * Typo fix (Jens)
  * Translation updates merged EN, FR, JA, RU, NL, ZH-CN ZH-TW

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Jan 2005 09:10:56 +0100

debian-reference (1.07-18) unstable; urgency=low

  * Proofreading of the English original by Jens Seidel.
  * Fixed for all languages:
    - Contents-*.gz location in archive mentioned in chapter 2 
      and use wget in pattern search script. Closes: #283040
    - Substituted or removed references to linuxcookbook by 
      rutebook in the tutorial section.
    - URL references updated.
      - Debian mirror etc. per Thomas Albrecht.
      - sysadmin-guide per Bram Mertens.
    - Updated Chgapter 2 details per Thomas Albrecht.


=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Build-Depends-Indep: debiandoc-sgml (>= 1.1.95), tetex-bin (>= 3.0-24), tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), latex-cjk-all, freetype1-tools, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, gs-esp | gs
Standards-Version: 3.7.2

Package: debian-reference
Architecture: all
Depends: debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Suggests: quick-reference-en, quick-reference-fr, quick-reference-de, quick-reference-it, quick-reference-es, quick-reference-pt-br, quick-reference-pl, quick-reference-zh-tw, quick-reference-zh-cn, quick-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/.

Package: debian-reference-common
Architecture: all
Recommends: debian-reference-en
Suggests: mc, lynx | www-browser
Description: Debian system administration guide, common examples
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 1.06-7)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-en
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, English excerpt 
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-fr
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, French translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-fr
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, French excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-it
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Italian translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-it
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Italian excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-ja
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Japanese translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-ja
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Japanese excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-es
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Spanish translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-es
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Spanish excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-de
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, German translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-de
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, German excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-pt-br
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Portuguese translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-pt-br
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Portuguese excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-pl
Architecture: all
Suggests: doc-base

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4
export LC_ALL=C

MANUAL1 := reference
MANUAL2 := quick-reference
## Build language list
LANGS1 := en fr it pt-br es de pl zh-tw zh-cn ja
LANGS2 := en fr it pt-br es de pl zh-tw zh-cn ja
# For testing use reduced set instead for speed.
#LANGS1 := zh-tw
#LANGS2 := zh-tw
BUILD_TYPE := package
ENTFILES1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).ent)
ENTFILES2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).ent)
ENTFILES := $(ENTFILES1) $(ENTFILES2)

$(MANUAL1).%.ent:
	echo "<!entity language \"$*\">"        > $@
	echo "<!entity % lang-$* \"INCLUDE\">" >> $@
	echo "<!entity docversion \"$(shell \
		LC_ALL=C \
		dpkg-parsechangelog | \
		sed -n 's/^Version: *//p')\">" >> $@
	echo "<!entity docdate \"$(shell \
		bin/getdocdate -p $*)\">"      >> $@
	echo "<!entity % f-ref   \"INCLUDE\">" >> $@ 
	echo "<!entity % q-ref   \"IGNORE\">"  >> $@ 


$(MANUAL2).%.ent:
	echo "<!entity language \"$*\">"        > $@
	echo "<!entity % lang-$* \"INCLUDE\">" >> $@
	echo "<!entity docversion \"$(shell \
		LC_ALL=C \
		dpkg-parsechangelog | \
		sed -n 's/^Version: *//p')\">" >> $@
	echo "<!entity docdate \"$(shell \
		bin/getdocdate -p $*)\">"      >> $@
	# if "Debian Quick Reference" (20 page max)
	echo "<!entity % f-ref   \"IGNORE\">"  >> $@ 
	echo "<!entity % q-ref   \"INCLUDE\">" >> $@


configure: configure-stamp
configure-stamp: $(ENTFILES)
	dh_testdir
	# Do nothing
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) "MANUAL1=$(MANUAL1)" "LANGS1=$(LANGS1)" \
	        "MANUAL2=$(MANUAL2)" "LANGS2=$(LANGS2)" \
	        "BUILD_TYPE=$(BUILD_TYPE)" html txt pdf ps README
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) "MANUAL1=$(MANUAL1)" "LANGS1=$(LANGS1)" \
	 "MANUAL2=$(MANUAL2)" "LANGS2=$(LANGS2)" \
	 "BUILD_TYPE=$(BUILD_TYPE)" clean
	-set -e; cd $(CURDIR)/debian/ ; for xx in \
	debian-reference \
	debian-reference-common ; do \
	rm -f $${xx}.README.Debian ; done

	-cd $(CURDIR)/debian/ ; \
	rm -f debian-reference-common.postinst

	-set -e; cd $(CURDIR)/debian/ ; for xx in $(LANGS1) ; do \
	rm -f debian-reference-$${xx}.README.Debian \
	      debian-reference-$${xx}.dirs \
	      debian-reference-$${xx}.doc-base \
	      debian-reference-$${xx}.postrm \
	      debian-reference-$${xx}.postinst ; \
	done

	-set -e; cd $(CURDIR)/debian/ ; for xx in $(LANGS2) ; do \
	rm -f quick-reference-$${xx}.README.Debian \
	      quick-reference-$${xx}.dirs \
	      quick-reference-$${xx}.doc-base ; \
	done

	dh_clean

refresh: clean
	dh_testdir
	dh_testroot
# 	cvs -d :ext:osamu@cvs.sf.net:/cvsroot/qref up
#	cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/qref up

new:    clean
#	rm ../debian-refernce
#	cvs -d :ext:osamu@cvs.sf.net:/cvsroot/qref export -d ../debian-reference -D tomorrow qref
#	cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/qref up


copyfiles:
#	copy README.Debian for all the packages
	set -e; cd $(CURDIR)/debian/ ; for xx in \
	debian-reference debian-reference-common ; do \
	cp README.Debian.all $${xx}.README.Debian ; done

	cd $(CURDIR)/debian/ ; \
	cp postinst-full     debian-reference-common.postinst
	# debian-reference-common.prerm exists and removes everything

	cd $(CURDIR)/debian/ ; for xx in $(LANGS1) ; do \
	cp README.Debian.all debian-reference-$${xx}.README.Debian ; \
	cp postinst-full     debian-reference-$${xx}.postinst ; \
	cp postrm-full       debian-reference-$${xx}.postrm ; \
	done

	set -e; cd $(CURDIR)/debian/ ; for xx in $(LANGS2) ; do \
	cp README.Debian.all quick-reference-$${xx}.README.Debian ; \
	done

	set -e; cd $(CURDIR)/debian/ ; for xx in $(LANGS1) ; do \
	case $$xx in \
	en) LANG="English" ;;  \
	de) LANG="German" ;;   \
	fr) LANG="French" ;;   \
	fi) LANG="Finnish" ;;  \
	es) LANG="Spanish" ;;  \
	it) LANG="Italian" ;;  \
	ja) LANG="Japanese" ;; \
	pl) LANG="Polish" ;; \
	pt-br) LANG="Portuguese (Brazil)" ;; \
	zh-tw) LANG="Chinese (Traditional)" ;; \
	zh-cn) LANG="Chinese (Simplified)" ;; \
	esac ; \
	cp debian-reference.dirs.all debian-reference-$${xx}.dirs ; \
	sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANG/" \
	<debian-reference.doc-base-all  >debian-reference-$${xx}.doc-base ; \
	done

	set -e; cd $(CURDIR)/debian/ ; for xx in $(LANGS2) ; do \
	case $$xx in \
	en) LANG="English" ;;  \
	de) LANG="German" ;;   \
	fr) LANG="French" ;;   \
	fi) LANG="Finnish" ;;  \
	es) LANG="Spanish" ;;  \
	it) LANG="Italian" ;;  \
	ja) LANG="Japanese" ;; \
	pl) LANG="Polish" ;; \
	pt-br) LANG="Portuguese (Brazil)" ;; \
	zh-tw) LANG="Chinese (Traditional)" ;; \
	zh-cn) LANG="Chinese (Simplified)" ;; \
	esac ; \
	cp quick-reference.dirs.all quick-reference-$${xx}.dirs ; \
	sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANG/" \
	<quick-reference.doc-base-all  >quick-reference-$${xx}.doc-base ; \
	done

install: build copyfiles
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/debian-reference-??.
	$(MAKE) "LANGS1=" "LANGS2=" "MANUAL1=$(MANUAL1)" "MANUAL2=$(MANUAL2)" \
	    "BUILD_TYPE=$(BUILD_TYPE)" \
	    PUBLISHDIR=$(CURDIR)/debian/debian-reference-common/usr/share/doc/Debian \
	    publish-examples

	install -d $(CURDIR)/debian/debian-reference-common/usr/share/applications
	install -m 644 debian/debian-reference-common.desktop \
	    $(CURDIR)/debian/debian-reference-common/usr/share/applications/

	install -m 755 --preserve-timestamps debian-reference \
	    $(CURDIR)/debian/debian-reference-common/usr/bin/debian-reference

	install -m 755 --preserve-timestamps bin/mkindexhtml \
	    $(CURDIR)/debian/debian-reference-common/usr/share/debian-reference/mkindexhtml

	set -e; for xx in $(LANGS1); do \
	$(MAKE) "LANGS1=$${xx}" "LANGS2=" "MANUAL1=$(MANUAL1)" "MANUAL2=" "BUILD_TYPE=$(BUILD_TYPE)" \
	    PUBLISHDIR=$(CURDIR)/debian/debian-reference-$${xx}/usr/share/doc/Debian \
	    publish-html1 publish-txt1 publish-ps1 publish-pdf1; \
	done

	set -e; for xx in $(LANGS2); do \
	$(MAKE) "LANGS1=" "LANGS2=$${xx}" "MANUAL1=" "MANUAL2=$(MANUAL2)" "BUILD_TYPE=$(BUILD_TYPE)" \
	    PUBLISHDIR=$(CURDIR)/debian/quick-reference-$${xx}/usr/share/doc/Debian \
	    publish-html2 publish-txt2 publish-ps2 publish-pdf2; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman -p debian-reference-common debian-reference.1 debian-reference.*.1 
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure refresh
